OD_obj_array_t Struct Reference
CANopen_301 » OD interface » OD definition objects

Object for OD array of variables, used for "ARRAY" type OD objects. More...

`#include <CO_ODinterface.h>`

## Data Fields

uint8_t * | data0
| Pointer to data for sub-index 0.
void * | data
| Pointer to array of data.
OD_attr_t | attribute0
| Attribute bitfield for sub-index 0, see OD_attributes_t.
OD_attr_t | attribute
| Attribute bitfield for array elements.
OD_size_t | dataElementLength
| Data length of array elements in bytes.
OD_size_t | dataElementSizeof
| Sizeof one array element in bytes.

## Detailed Description

Object for OD array of variables, used for "ARRAY" type OD objects.

The documentation for this struct was generated from the following file:

- 301/CO_ODinterface.h